---
title: HTMLDocument
slug: Web/API/HTMLDocument
tags:
  - API
  - Document
  - HTML
  - HTML DOM
  - HTMLDocument
  - Interface
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>HTMLDocument</code></strong> interface, which may be accessed through the <code>Window.HTMLDocument</code> property, extends the <code>Window.HTMLDocument</code> property to include methods and properties that are specific to {{Glossary("HTML")}} documents.</span></p>

<p>{{InheritanceDiagram}}</p>

<p>For the purposes of web development, you can generally think of <code>HTMLDocument</code> as an alias for {{DOMxRef("Document")}}, upon which <code>HTMLDocument</code> is based. You can find documentation for the members of <code>HTMLDocument</code> under the {{DOMxRef("Document")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#htmldocument", "HTMLDocument")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Turn the <code>HTMLDocument</code> interface into a {{DOMxRef("Document")}} extension.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 HTML", "html.html#ID-26809268", "HTMLDocument")}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>Supersedes DOM 1</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM1", "level-one-html.html#ID-26809268", "HTMLDocument")}}</td>
   <td>{{Spec2("DOM1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLDocument")}}</p>
